# XMLReader::setParserProperty

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::setParserProperty — Fixe des options pour l'analyseur

### Description

public XMLReader::setParserProperty(int `$property`, bool `$value`): bool

Fixe des options pour l'analyseur. Les options doivent être fixées après l'appel de XMLReader::open() ou XMLReader::XML() et avant le premier appel de XMLReader::read().

### Liste de paramètres

`property`

  Une des constantes d'analyseur.

`value`

  Si fixée à `true`, l'option sera activée sinon elle sera désactivée.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.